Improve handling of image subtitle IDs in XML (DoM bug #1965)
[libdcp.git] / run / tests
index c5dcac62eb23d18dc6ec259f0fb214a31af9f6a3..5c294dabfc85bf74d8efa1f7d69dae755612358c 100755 (executable)
--- a/run/tests
+++ b/run/tests
@@ -1,15 +1,15 @@
-#!/bin/bash -e
+#!/bin/bash
 #
 # Run our test suite.
 
 # Private test data; this is stuff that is non-distributable
-private=../libdcp1-test-private
+private=../libdcp-test-private
 # Work directory
 work=build/test
 # Path to dcpinfo tool
 dcpinfo=build/tools/dcpinfo
 
-export LD_LIBRARY_PATH=build/src:build/asdcplib/src:$LD_LIBRARY_PATH
+export LD_LIBRARY_PATH=build/src:/home/c.hetherington/lib:$LD_LIBRARY_PATH
 
 # Make sure we have the required tools
 for c in xmlsec1 xmldiff; do
@@ -19,12 +19,21 @@ done
 # Run the unit tests in test/
 if [ "$1" == "--debug" ]; then
     shift
-    gdb --args $work/tests $private
+    gdb --args $work/tests $private $*
 elif [ "$1" == "--valgrind" ]; then
     shift
     valgrind --tool="memcheck" $work/tests $private
+elif [ "$1" == "--callgrind" ]; then
+    shift
+    valgrind --tool="callgrind" $work/tests $private $*
 else
+    # This gives a warning from newer boost versions but doing it
+    # as $work/tests $* -- $private fails on older boost versions.
     $work/tests $private $*
+    if [ "$?" != "0" ]; then
+       echo "FAIL: unit tests"
+        exit 1
+    fi
 fi
 
 # Check a MXF written by the unit tests
@@ -48,6 +57,20 @@ if [ "$?" != "0" ]; then
     exit 1
 fi
 
+# Check the DCP written by dcp_test5
+diff -ur test/ref/DCP/dcp_test5 $work/DCP/dcp_test5
+if [ "$?" != "0" ]; then
+    echo "FAIL: files differ"
+    exit 1
+fi
+
+# Check the DCP written by dcp_test7
+diff -ur test/ref/DCP/dcp_test7 $work/DCP/dcp_test7
+if [ "$?" != "0" ]; then
+    echo "FAIL: files differ"
+    exit 1
+fi
+
 # Check the DCP written by encryption_test
 diff -ur test/ref/DCP/encryption_test $work/DCP/encryption_test
 if [ "$?" != "0" ]; then
@@ -68,7 +91,7 @@ fi
 rm -f $work/info.log
 for d in `find $private/metadata -mindepth 1 -maxdepth 1 -type d | sort -f -d`; do
     if [ `basename $d` != ".git" ]; then
-        $dcpinfo --ignore-missing-assets -k -s $d 2> /dev/null >> $work/info.log
+        $dcpinfo --ignore-missing-assets -k -s $d >> $work/info.log
         if [ "$?" != "0" ]; then
             echo "FAIL: dcpinfo failed for $d"
             exit 1